Testsets
List testsets
POST
/
api
/
testsets
/
list
{
"filters": {
"name": {
"value": "E"
}
}
}
{
"count": 1,
"results": [
{
"id": "testset_id_123",
"name": "Example Testset",
"description": "Example description"
}
]
}
List all testsets with optional filtering.
Authentication
- API key:
Authorization: Bearer <API key>
Request Body
{
"filters": {
"name": {
"value": "E"
}
}
}
Examples
import requests
url = "https://api.keywordsai.co/api/testsets/list"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"filters": {
"name": {
"value": "E"
}
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
curl -X POST "https://api.keywordsai.co/api/testsets/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": {
"name": {
"value": "E"
}
}
}'
Response
{
"count": 1,
"results": [
{
"id": "testset_id_123",
"name": "Example Testset",
"description": "Example description"
}
]
}
Was this page helpful?
⌘I
{
"filters": {
"name": {
"value": "E"
}
}
}
{
"count": 1,
"results": [
{
"id": "testset_id_123",
"name": "Example Testset",
"description": "Example description"
}
]
}